### Hierarchy

- Emitter
  - IApiService

### Implements

- IEmitter

### Implemented by

- Api

## Index

### Constructors

- constructor

### Properties

- EVENT_401
- acceptInvitation
- activateUser
- addDomainAccessGroup
- block
- cancelInvitations
- changeEmail
- changePassword
- createAnonymousPage
- createDocEmailRule
- createDomain
- createFolder
- createPage
- createPageNotification
- createPageNotificationByUuid
- deleteDocEmailRule
- deleteDomainAGroup
- deleteOrganizationMetaData
- deletePage
- deleteUserMetaData
- domainAccessLog
- domainInvitations
- domainUsers
- downloadPage
- forgotPassword
- getApplicationPageList
- getDocEmailRules
- getDomain
- getDomainAccessGroup
- getDomainAccessGroups
- getDomainCustomers
- getDomainPageAccess
- getDomainPages
- getDomainUsage
- getDomains
- getDomainsAndPages
- getInvitation
- getOrganization
- getOrganizationDomains
- getOrganizationMetaData
- getOrganizationUsage
- getOrganizationUsers
- getPage
- getPageAccess
- getPageByName
- getPageByUuid
- getSelfInfo
- getSsoStatus
- getTemplates
- getUserMetaData
- inviteUsers
- listeners
- onListeners
- putDomainAgroupMembers
- putDomainAgroupPages
- refreshAccessTokens
- refuseInvitation
- removeCustomer
- removeDomain
- removeUsersFromDomain
- resendInvite
- resetPassword
- saveCustomer
- saveDomainPageAccess
- saveOrganizationMetaData
- savePageContent
- savePageContentDelta
- savePageSettings
- saveUserInfo
- saveUserMetaData
- setDomainDefault
- signupUser
- tokens
- unblock
- updateCustomer
- updateDocEmailRule
- updateDomain
- updateDomainAccess
- updateDomainAgroup
- userInvitations
- userLogin
- userLogout

### Methods

- emit
- off
- on
- register
- removeEvent
- removeEvents
- unRegister

## Constructors

### constructor

- new IApiService(): IApiService

- Inherited from Emitter.constructor

  - Defined in Emitter.ts:17

  #### Returns IApiService

## Properties

### EVENT_401

EVENT_401: string

- Defined in Api.ts:259

### acceptInvitation

acceptInvitation: function

- Defined in Api.ts:296

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### activateUser

activateUser: function

- Defined in Api.ts:303

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### addDomainAccessGroup

addDomainAccessGroup: function

- Defined in Api.ts:312

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### block

block: function

- Defined in Api.ts:261

#### Type declaration

- - (): void

  - #### Returns void

### cancelInvitations

cancelInvitations: function

- Defined in Api.ts:309

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### changeEmail

changeEmail: function

- Defined in Api.ts:292

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### changePassword

changePassword: function

- Defined in Api.ts:291

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### createAnonymousPage

createAnonymousPage: function

- Defined in Api.ts:282

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### createDocEmailRule

createDocEmailRule: function

- Defined in Api.ts:326

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### createDomain

createDomain: function

- Defined in Api.ts:268

#### Type declaration

- - (data: IApiDataCreateFolder): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: IApiDataCreateFolder

    #### Returns Promise<IRequestResult<any>>

### createFolder

createFolder: function

- Defined in Api.ts:267

#### Type declaration

- - (data: IApiDataCreateFolder): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: IApiDataCreateFolder

    #### Returns Promise<IRequestResult<any>>

### createPage

createPage: function

- Defined in Api.ts:279

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### createPageNotification

createPageNotification: function

- Defined in Api.ts:280

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### createPageNotificationByUuid

createPageNotificationByUuid: function

- Defined in Api.ts:281

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### deleteDocEmailRule

deleteDocEmailRule: function

- Defined in Api.ts:328

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### deleteDomainAGroup

deleteDomainAGroup: function

- Defined in Api.ts:316

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### deleteOrganizationMetaData

deleteOrganizationMetaData: function

- Defined in Api.ts:332

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### deletePage

deletePage: function

- Defined in Api.ts:286

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### deleteUserMetaData

deleteUserMetaData: function

- Defined in Api.ts:290

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### domainAccessLog

domainAccessLog: function

- Defined in Api.ts:300

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### domainInvitations

domainInvitations: function

- Defined in Api.ts:298

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### domainUsers

domainUsers: function

- Defined in Api.ts:301

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### downloadPage

downloadPage: function

- Defined in Api.ts:338

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### forgotPassword

forgotPassword: function

- Defined in Api.ts:293

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getApplicationPageList

getApplicationPageList: function

- Defined in Api.ts:336

#### Type declaration

- - (client: string): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### client: string

    #### Returns Promise<IRequestResult<any>>

### getDocEmailRules

getDocEmailRules: function

- Defined in Api.ts:325

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getDomain

getDomain: function

- Defined in Api.ts:270

#### Type declaration

- - (domainId: number): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### domainId: number

    #### Returns Promise<IRequestResult<any>>

### getDomainAccessGroup

getDomainAccessGroup: function

- Defined in Api.ts:311

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getDomainAccessGroups

getDomainAccessGroups: function

- Defined in Api.ts:310

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getDomainCustomers

getDomainCustomers: function

- Defined in Api.ts:318

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getDomainPageAccess

getDomainPageAccess: function

- Defined in Api.ts:317

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getDomainPages

getDomainPages: function

- Defined in Api.ts:273

#### Type declaration

- - (domainId: number): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### domainId: number

    #### Returns Promise<IRequestResult<any>>

### getDomainUsage

getDomainUsage: function

- Defined in Api.ts:319

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getDomains

getDomains: function

- Defined in Api.ts:269

#### Type declaration

- - (): Promise<IRequestResult<any>>

  - #### Returns Promise<IRequestResult<any>>

### getDomainsAndPages

getDomainsAndPages: function

- Defined in Api.ts:274

#### Type declaration

- - (client: string): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### client: string

    #### Returns Promise<IRequestResult<any>>

### getInvitation

getInvitation: function

- Defined in Api.ts:308

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getOrganization

getOrganization: function

- Defined in Api.ts:329

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getOrganizationDomains

getOrganizationDomains: function

- Defined in Api.ts:333

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getOrganizationMetaData

getOrganizationMetaData: function

- Defined in Api.ts:330

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getOrganizationUsage

getOrganizationUsage: function

- Defined in Api.ts:335

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getOrganizationUsers

getOrganizationUsers: function

- Defined in Api.ts:334

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getPage

getPage: function

- Defined in Api.ts:275

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getPageAccess

getPageAccess: function

- Defined in Api.ts:278

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getPageByName

getPageByName: function

- Defined in Api.ts:276

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getPageByUuid

getPageByUuid: function

- Defined in Api.ts:277

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getSelfInfo

getSelfInfo: function

- Defined in Api.ts:263

#### Type declaration

- - (): Promise<IRequestResult<any>>

  - #### Returns Promise<IRequestResult<any>>

### getSsoStatus

getSsoStatus: function

- Defined in Api.ts:337

#### Type declaration

- - (email: string): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### email: string

    #### Returns Promise<IRequestResult<any>>

### getTemplates

getTemplates: function

- Defined in Api.ts:321

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### getUserMetaData

getUserMetaData: function

- Defined in Api.ts:288

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### inviteUsers

inviteUsers: function

- Defined in Api.ts:295

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### putDomainAgroupMembers

putDomainAgroupMembers: function

- Defined in Api.ts:313

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### putDomainAgroupPages

putDomainAgroupPages: function

- Defined in Api.ts:314

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### refreshAccessTokens

refreshAccessTokens: function

- Defined in Api.ts:264

#### Type declaration

- - (refreshToken: string): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### refreshToken: string

    #### Returns Promise<IRequestResult<any>>

### refuseInvitation

refuseInvitation: function

- Defined in Api.ts:297

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### removeCustomer

removeCustomer: function

- Defined in Api.ts:324

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### removeDomain

removeDomain: function

- Defined in Api.ts:271

#### Type declaration

- - (domainId: number): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### domainId: number

    #### Returns Promise<IRequestResult<any>>

### removeUsersFromDomain

removeUsersFromDomain: function

- Defined in Api.ts:307

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### resendInvite

resendInvite: function

- Defined in Api.ts:305

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### resetPassword

resetPassword: function

- Defined in Api.ts:294

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### saveCustomer

saveCustomer: function

- Defined in Api.ts:322

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### saveDomainPageAccess

saveDomainPageAccess: function

- Defined in Api.ts:320

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### saveOrganizationMetaData

saveOrganizationMetaData: function

- Defined in Api.ts:331

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### savePageContent

savePageContent: function

- Defined in Api.ts:283

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### savePageContentDelta

savePageContentDelta: function

- Defined in Api.ts:284

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### savePageSettings

savePageSettings: function

- Defined in Api.ts:285

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### saveUserInfo

saveUserInfo: function

- Defined in Api.ts:287

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### saveUserMetaData

saveUserMetaData: function

- Defined in Api.ts:289

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### setDomainDefault

setDomainDefault: function

- Defined in Api.ts:304

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### signupUser

signupUser: function

- Defined in Api.ts:302

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### tokens

tokens: IApiTokens

- Defined in Api.ts:260

### unblock

unblock: function

- Defined in Api.ts:262

#### Type declaration

- - (): void

  - #### Returns void

### updateCustomer

updateCustomer: function

- Defined in Api.ts:323

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### updateDocEmailRule

updateDocEmailRule: function

- Defined in Api.ts:327

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### updateDomain

updateDomain: function

- Defined in Api.ts:272

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### updateDomainAccess

updateDomainAccess: function

- Defined in Api.ts:306

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### updateDomainAgroup

updateDomainAgroup: function

- Defined in Api.ts:315

#### Type declaration

- - (data: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<IRequestResult<any>>

### userInvitations

userInvitations: function

- Defined in Api.ts:299

#### Type declaration

- - (): Promise<IRequestResult<any>>

  - #### Returns Promise<IRequestResult<any>>

### userLogin

userLogin: function

- Defined in Api.ts:265

#### Type declaration

- - (data: IApiDataUserLogin): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### data: IApiDataUserLogin

    #### Returns Promise<IRequestResult<any>>

### userLogout

userLogout: function

- Defined in Api.ts:266

#### Type declaration

- - (data?: any): Promise<IRequestResult<any>>

  - #### Parameters

    - ##### Optional data: any

    #### Returns Promise<IRequestResult<any>>

## Methods

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc